# Changelog

### v1.0.0 <small>_June 20, 2020_</small>
* Server: Added TLS support
* Server: Added namespace support
* Server: Added monitoring (prometheus metric exporter)
* Display: Improved player
  - Made players clickable to unmute and acknowledge mature audiences warning.
  - Fixed chat sometimes showing when it is not supposed to be
  - Minor fixes

### v0.9.15 <small>_June 16, 2020_</small>
* Server: Fixed chat
* Server: Fixed `volume=0` not working
* CI: Fixed build
* Docs: Upgraded mkdocs-material

### v0.9.14 <small>_January 3, 2020_</small>
* Server: Fixed channelsToIDCache not being initialized

### v0.9.13 <small>_December 1, 2019_</small>
* Android Integration: Updated imports and fixed uri Builder

### v0.9.12 <small>_November 29, 2019_</small>
* CI: Replaced packr2 with pkger
* Server: Fixed data race on broadcast set
* Server: Moved Version and DefaultTwitchClientID to config.go in project root
* Server: Formatted static assets
* Repo: Added .prettierignore for markdown files because pymdown flavored markdown is currently not supported

### v0.9.11 <small>_November 3, 2019_</small>
* CI: Using pymdown-env include $VERSION in docs
* Docs: Fixed relative links

### v0.9.10 <small>_November 2, 2019_</small>
* CI: Updated CI for remote GitLab pages repo

### v0.9.9 <small>_November 1, 2019_</small>
* Server: Renamed from Stream TV Server to Stream Server
* Server: Website is now properly packed into the binary
* Docs: Updated links to new repo
* Docs: Completely redone layout
* Docs: Redone some formatting
* Server: Split website files into parts
* Server: Rewrote some large parts of the core api handling
* A bunch of other changes that I don't want to individually list here

### v0.9.8 <small>_October 10, 2019_</small>
* Server: Changed the default version from unknown to dev
* Server: Updated website (fixed some glitches)
* LICENSE.md: Reformatted
* README.md: README now just links to docs
* CONTRIBUTING.md: CONTRIBUTING now just links to docs
* Docs: Moved changelog
* Docs: Moved license
* Docs: Moved streamtv-java
* Docs: Removed unused docs
* Docs: Fixed typos and updated reference
* Docs: Small quickstart fix
* Docs: Added more info to options
* Docs: Updated download table and link in server index
* Docs: Updated main index page
* Docs: Moved alternatives to miscellany
* Docs: Moved and updated contributing
* Docs: Removed unused about index
* Docs: Added initial twitch-resources
* Docs: Updated new project tree

### v0.9.7 <small>_September 24, 2019_</small>
* Repo: Updated .gitignore
* Docs: Added content to Contributing
* Repo: Slimmed down README.md
* Docs: Renamed Release Notes to Changelog
* Docs: Some formatting and TWITCH_CLIENT_ID info
* Docs: Moved README.md content to docs
* Docs: Fixed spelling and added version info
* CI: Separated pipelines and added versioning

### v0.9.6 <small>_August 28, 2019_</small>
* Docs: Fixed some formatting
* Docs: Added linenums to code segments
* Docs: Added missing quickstart snippets and fixed examples

### v0.9.5 <small>_August 27, 2019_</small>
* Changed parameter passing for /tv/state
* Updated reference to new parameter passing and added many new examples
* Updated website to new parameter passing and improved resource usage
* Added StreamTV.java
* Added StreamTV.java to docs

### v0.9.4 <small>_August 23, 2019_</small>
* Fixed CI pipeline

### v0.9.3 <small>_August 22, 2019_</small>

* Server docs are now mostly complete with only small snippets missing
* Project docs are getting there
* Project README.md was added (still needs some work)
* Cleaned ToC and mkdocs.yml
* Removed unused files
* Remote doc TODO list created


### v0.9.2 <small>_August 22, 2019_</small>

* Actually fixed the CI pipeline

### v0.9.1 <small>_August 22, 2019_</small>

* Tried to fix the CI pipeline

### v0.9.0 <small>_August 21, 2019_</small>

* Initial Release
